Welcome Guest! You need to login or register to make posts.

Notification

Icon
Error

Options
Go to last post Go to first unread
graphix  
#1 Posted : Tuesday, March 25, 2008 11:54:09 PM(UTC)
graphix

Rank: Member

Groups: Member
Joined: 7/12/2007(UTC)
Posts: 11

Hi,
I did update to 4.7 version. Under IE7, XP SP2 I have problem.
When Im loading page, IE is trying install new Activex version of uploader but SCRIPT below is detected that uploader is installed yet.
then my warnings under "supportImageUploader" are not displayed for users.

thanks
Marcel

document.writeln('<scr' + 'ipt language="VBscript">');
document.writeln('Function supportImageUploader()');
document.writeln(' If ScriptEngineMajorVersion >= 2 Then');
document.writeln(' On Error Resume Next');
document.writeln(' supportImageUploader = "NotInstalled"');
document.writeln(' Dim installed');
document.writeln(' installed = False');
document.writeln(' installed = IsObject(CreateObject("Aurigma.ImageUploader.4"))');
document.writeln(' If installed Then');
document.writeln(' supportImageUploader = "Installed"');
document.writeln(' End If');
document.writeln(' Else');
document.writeln(' supportImageUploader = "Unsupported"');
document.writeln(' End If');
document.writeln('End Function');
document.writeln('</scr' + 'ipt>');
Eugene Kosmin  
#2 Posted : Wednesday, March 26, 2008 3:58:19 PM(UTC)
Eugene Kosmin

Rank: Advanced Member

Groups: Member, Administration, Moderator
Joined: 9/19/2006(UTC)
Posts: 455

Was thanked: 27 time(s) in 27 post(s)
Hello,

Image Uploader 4.7 has new CLSID due to past security problems. Embedding script from iuembed.js relies on CLSID and version number, but not on ProgID during installation process.

As I see, your script uses ProdID, which is equal for all 4.x versions of Image Uploader. Probably you have already installed IU 4.6 or earlier.
Best regards,
Eugene Kosmin.
Aurigma Development Team
Users browsing this topic
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.